Customer
Get Customer Details
This API allows you to fetch the details of a specific customer request. You can use the UUID to retrieve the details of the customer.
GET
/
v2
/
customers
/
detail
Get Customer Details
curl --request GET \
--url https://api.cleverhub.co/api/v2/customers/detail \
--header 'app-id: <api-key>' \
--header 'secret-key: <api-key>'import requests
url = "https://api.cleverhub.co/api/v2/customers/detail"
headers = {
"app-id": "<api-key>",
"secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'app-id': '<api-key>', 'secret-key': '<api-key>'}};
fetch('https://api.cleverhub.co/api/v2/customers/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "VMMAOTFQ",
"email": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"dob": "2024-04-16",
"phone": "+6123224242",
"gender": "male",
"street": "string",
"street2": "string",
"city": "string",
"postal_code": "string",
"state": "string",
"country": "US",
"identity": {
"issue_country": "US",
"document_number": "string",
"issue_date": "2024-04-16",
"expiry_date": "2024-04-16",
"id_doc_type": "Passport"
}
}{
"errors": {
"code": "REQUIRE_LOGIN",
"message": "Not Authorised"
}
}Authorizations
A unique identifier assigned to each application.
A secure token associated with the app-id.
Query Parameters
Customer UUID
Response
OK
Customer uuid
Customer's email
Customer's first name
Customer's last name
Customer's middle name
Customer date of birth format 'yyyy-mm-dd'
Customer's phone
Example:
"+61-412345678"
Customer's Gender
Available options:
male, female, other Example:
"male"
The primary name of an address's street.
The secondary name of an address's street.
Name of an address's city or town.
The address's postcode
The address's state / province / county.
ISO 3166-1 alpha-2 country code.
Show child attributes
Show child attributes
Get Customer Details
